BankPerfect

BankPerfect est un programme de gestion de comptes bancaires. Destiné aux particuliers il permet de gérer ses comptes de façon simple et conviviale.

Adapté à la trésorerie, il n'a aucune prétention comptable : ici, les catégories de paiement ne doivent pas être assimilées à des comptes à équilibrer.


La fenêtre du programme

On peut y voir de haut en bas:

· La barre de menu [1]
· La barre d'outils [3] (contenant d'abord la liste déroulante de vos comptes [2])
· La relevé des opérations [4]
· La barre de statut [5] qui contient de gauche à droite: le panneau d'information, le solde pointé, les opérations à venir (non encore débitées ou créditées sur votre compte et le solde final).
· La fenêtre à onglets de saisie/modification [6].


Gestion des comptes

BankPerfect est capable de gérer plusieurs comptes au sein d'un même fichier.
Vous devez donc d'abord créer un fichier (.bp) au sein duquel vous pourrez créer autant de comptes que vous le souhaiterez.


Créer un nouveau fichier comptes

Choisissez dans le menu:
Compte > Créer un nouveau fichier comptes new

Le programme vous demande alors de spécifier le nom du fichier et un solde initial.

Le fichier "nom".bp est alors créé:
Ce fichier ne contient qu'un seul compte (nommé courant par défaut). Vous pourrez toujours le renommer par la suite.

Vous pouvez dès à présent ajouter des opérations, ou créer d'autres comptes au sein de ce même fichier.


Ajouter un nouveau compte à son fichier

Choisissez dans le menu:
Compte > Gestion des comptes lineup

Une fenêtre apparaît alors vous permettant de renseigner le nom du compte (courant, codevi, épargne etc.), son numéro, la monnaie courante, etc.

Les champs Banque, Guichet, Adresse ainsi que les champs de saisie du numéro de compte sont optionnels: ils seront nécessaire si vous souhaitez imprimer un RIB.

Cliquez alors sur Créer compte file add pour en ajouter un.

Si vous possédez plusieurs comptes, vous pouvez passer d'un compte à un autre à l'aide de la liste déroulante située en haut à gauche sous les menus:


Ouvrir un compte

Allez dans le menu Fichier > Ouvrir (ctrl+O) open

Déplacez vous dans les dossiers et double-cliquez sur le fichier compte à ouvrir.


Enregistrer les modifications

Allez dans le menu Fichier > Enregistrer (ctrl+S) save

Lorsque vous fermez le compte ou que vous demandez à quitter le programme, si vous avez effectué des modifications, le logiciel vous propose automatiquement de les sauvegarder.

Si vous souhaitez enregistrer ces modifications, cliquez sur Oui, sinon Cliquez sur Non.


Créer une sauvegarde

Une sauvegarde du même nom que votre fichier (mais avec l'extension .bak) est créée à chaque fois que vous enregistrez vos modifications.

Allez dans le menu Fichier > Enregistrer sous... (F12).
Vous pouvez aussi sauvegarder votre fichier sur un serveur distant par FTP

Une fenêtre s'ouvre et vous permet de choisir l'emplacement souhaité pour la sauvegarde.

Si vous choisissez un emplacement différent de celui ou se trouve déjà votre fichier, une fenêtre apparaît:
Le programme vous demande si vous souhaitez utiliser ce nouvel emplacement comme dossier par défaut pour la sauvegarde des fichiers (.bp, .bak ou les 2).

Une fois placé dans le dossier voulu (sur le lecteur de disquettes par exemple), tapez le nom du fichier de sauvegarde de votre compte et validez.


Imprimer un RIB

Pour pouvoir imprimer un RIB, les champs Banque, Agence, Adresse ainsi que les champs de saisie du numéro de compte.

Il est inutile d'entrer les zéros situés devant vos numéros: BankPerfect les complète automatiquement. De même, la clef RIB est calculée automatiquement par le programme.

Cliquez sur le bouton d'impression de RIB printer2 et une page en contenant 3 s'imprimera.


Entrer un mot de passe

Entrez un mot de passe dans le champ correspondant pour que celui-ci vous soit demandé à chaque chargement du programme.


Saisir une opération

Vous pouvez ajouter une simple ligne d'opération bancaire ou encore effectuer un transfert entre des comptes situés au sein d'un même fichier (une ligne s'ajoutera à chacun des comptes).

Les éléments vous permettant d'insérer une opération sont tous situés en bas de la fenêtre de BankPerfect.

- Faites d'abord dérouler la liste des modes de paiement et choisissez celui qui vous intéresse.
- Pour entrer un titre boursier, choisissez Titre (Cf. Section bourse)
- Si la date n'est pas celle du jour, modifiez-la en cliquant sur la flèche dirigée vers le bas. Une fenêtre représentant le mois se déroule.
- Cliquez sur la zone des catégories et choisissez la catégorie voulue dans la liste.
- La zone Tiers people est une liste déroulante:
· Dans le cas d'une opération standard, tapez simplement le nom du tiers (personne, entreprise...) avec qui s'est effectuée l'opération.
· Pour effectuer un transfert vers un autre compte de votre fichier .bp, vous devez auparavant avoir choisi Prélèvement ou Virement comme mode de paiement. Déroulez la liste Tiers et spécifiez le compte à créditer ou à débiter: à la validation, la ligne d'opération apparaîtra automatiquement dans les 2 comptes.
- Entrez le montant (sans le signe + ou -) dans le case prévue à cet effet.

- Détaillez cette opération si vous le souhaitez en remplissant le champ détail. Ce champ sert aussi à entrer des informations complémentaires pour la saisie des titres boursiers, des chèques ou de modes de paiement particuliers.

- Cliquez sur le bouton de validation ( pencil) ou validez avec la touche Entrée depuis le champ montant pour ajouter cette ligne d'opération au tableau.


Modifier une opération

Cliquez dans le tableau sur la ligne à modifier.
Son contenu s'affiche alors dans les champs de saisie.
Modifiez les champs nécessaires puis cliquez sur actualiser ( refresh).


Supprimer des opérations

Sélectionner la ou les lignes à supprimer en faisant glisser la souris sur les lignes concernées.
Cliquez-droit sur ces lignes et choisissez Supprimer.( file remove)


Pointer des opérations

Il est recommandé de pointer les lignes des opérations effectivement passées sur votre compte (a l'aide du de votre relevé de comptes mensuel par exemple).
Votre solde en banque correspondra alors exactement au solde pointé.

Sélectionner la ou les opérations à pointer en faisant glisser la souris sur les lignes concernées.
Vous pouvez au choix:
- Cliquez-droit sur les lignes et choisir Pointer ( tack) ou appuyez sur la touche P ou Espace.
- Vous pouvez aussi simplement cliquer dans la dernière colonne.

Cliquez une première fois une opération non pointée pour la pointer (coche de couleur grise).
Cliquez une deuxième fois pour la rapprocher (coche de couleur noire): une opération rapprochée ne peut pas être supprimée ni modifiée.
Cliquez une troisième fois pour la dépointer.


Saisir un montant

la zone de saisie du montant contient un calculateur intégré: vous pouvez non seulement y entrer une simple valeur mais aussi une formule de calcul arithmétique.

Exemples:
· Vous pouvez entrer 255+200-30
· Si la monnaie principale est en euros et la monnaie secondaire en Francs, vous pouvez entrer 255F dans le champ de saisie pour que la valeur soit automatiquement convertie

caution L'interpréteur de formule tient compte de la priorité des opérations: la multiplication et la division étant prioritaires sur l'addition et la soustraction, la formule de calcul 2+3*4 donnera 14 et non 20.

Petit gadget:

Pour remplir vos chèques, vous pouvez vous aider du convertisseur chiffres/lettres intégré:
Entrez le montant à convertir dans la zone de saisie du montant puis double-cliquez dessus pour voir s'afficher le montant en toutes lettres.


Saisir un chèque

Si vous choisissez une dépense par chèque (chèque émis), entrez dans le champ détail n° suivi de votre numéro de chèque. Il s'affichera alors dans la colonne mode du tableau sous la forme Chq XXXXX au lieu de Chèque émis.
Dès que vous choisirez à nouveau Chèque comme mode de paiement, le numéro suivant sera automatiquement inscrit dans le champ détail.


Modes de paiement particuliers

Si vous souhaitez entrer un mode de paiement qui n'est pas situé dans la liste (Carte Fnac ou TIP par exemple), il vous suffit d'entrer m=Carte Fnac ou m=TIP à la fin du champ Détail.


Filtrage standard

Vous pouvez masquer temporairement les lignes qui répondent aux critères que vous choisirez.

Pour ça, il vous suffit de remplir les champs contenus dans la zone filtrage dans la ligne d'en-tête du relevé de comptes:

Ex: Taper cart dans le champ de filtrage des modes de paiement, masqera toutes lignes autre que celles qui ont Carte pour mode de paiement.

Pour les dates, il suffit de cliquer sur la case à cocher pour voir apparaître un panel de saisie d'un intervalle compris entre 2 dates.
Choisir ces 2 dates puis cliquer sur Filtrer pour masques les lignes hors intervalle ou cliquer sur Tout voir pour voir à l'ensemble des opérations.


Annuler le filtrage

Pour annuler tous les filtrages en cours, il suffit de cliquer sur l'icône d'annulation de filtrage filtre.


Filtrage de la colonne montant

Pour filtrer les montants, vous pouvez comme dans les autres colonnes taper la valeur recherchée:
Taper 30 masquera toutes les lignes qui ne contiendront pas la chaîne "30". Ici, les lignes qui auront comme montant 30, 304.80 ou 3000 par exemple seront affichées.

Pour les montants, vous pouvez aussi taper des critères de comparaison tels que >10000 pour afficher toutes les lignes dont le montant est supérieur à 10000 ou <0 pour afficher toutes lignes débitrices.


Filtrage par exclusion

Vous pouvez aussi filtrer les lignes en fonction de ce qui ne vous intéresse pas:
Il suffit de faire précéder le texte de filtrage par /.
Donc, taper /cart dans le champ de filtrage de la colonne Mode de paiement masquera seulement les lignes Cartes et laissera toutes les autres lignes


Créer une catégorie

Allez dans le menu Comptes > Gestion des catégories list.

Tapez le nom de la nouvelle catégorie dans le champ situé sous la liste et validez avec la touche Enter.

La catégorie est alors ajoutée en fin de liste.
Pour la déplacer, utilisez les boutons de déplacement:


Créer une sous-catégorie

Créez tout d'abord une catégorie puis passez-là en sous-catégorie en cliquant sur la touche d'indentation indenter

Recliquez à nouveau sur cette icône pour la repasser de sous-catégorie à catégorie.


Renommer une catégorie

Si vous souhaitez remplacer une catégorie par une autre sur certaines lignes de vitre tableau, il s'agit d'un Remplacement de catégories.
La fonction décrite ici sert seulement à donner un autre nom à une de vos catégories.

Allez dans le menu Comptes > Gestion des catégories list.

Cliquez sur la catégorie à renommer puis entrez son nouveau nom dans la zone de saisie située sous la liste.
Cliquez ensuite sur le bouton renommer rename.


Supprimer une catégorie

Allez dans le menu Comptes > Gestion des catégories list.

Cliquez sur la catégorie à supprimer puis cliquez sur le bouton Supprimer delete


Remplacement de texte

Allez dans le menu Edition > Remplacer lunaxp find.

Le remplacement s'effectuera sur les champs Tiers et Détails de toutes les opérations apparentes (les opérations filtrées ne seront pas touchées).

Ne déroulez pas les listes déroulantes des 2 champs car elles sont utilisées pour le remplacement des catégories: Entrez directement le texte à remplacer et le texte de remplacement dans les champs appropriés puis cliquez sur Ok.


Remplacement de catégories

Allez dans le menu Edition > Remplacer lunaxp find.

Le remplacement s'effectuera sur les champs Tiers et Détails de toutes les opérations apparentes (les opérations filtrées ne seront pas touchées).

Choisissez la catégorie à remplacer et la catégorie de remplacement parmi les éléments des listes déroulantes.
Cliquez sur Ok pour lancer le remplacement.


Ajouter une opération automatique

Pour créer une opération qui se répètera à intervalle régulier, vous devez d'abord en ajouter une au tableau.
Ensuite, cliquez-droit dessus et choisissez electricplug Répéter automatiquement > Tous les mois (ou une autre période parmi la liste proposée).

La liste est alors ajoutée à l'échéancier.


Visualiser l'échéancier

Allez dans le menu Comptes > Échéancier calender.

Une fenêtre s'ouvre contenant toutes les lignes de votre échéancier.
Cliquer sur une ligne pour la détailler.


Assigner une date de fin de validité

Allez dans le menu Comptes > Échéancier calender.

Cliquez sur la ligne concernée puis sur le bouton Spécifier une date de fin clock.
Entrez la date de fin puis validez.

Renouvelez l'opération en laissant le champ de saisie de date vide pour supprimer une date de fin.


Supprimer une opération automatique

Allez dans le menu Comptes > Échéancier calender.

Cliquez sur la ligne concernée puis sur le bouton Supprimer de l'échéancier file remove.


Enregistrer en ligne par FTP

Pensez d'abord à spécifier les paramètres FTP.
Allez dans le menu Internet > Sauvegarder en ligne uploadpic.

un fichier suivi du nom du jour (lundi, mardi...) est alors créé sur le disque distant


Ventiler une opération

Vous pouvez ventiler une opération sur plusieurs catégories.
On va prendre pour exemple un retrait d'espèces de 200€.

sur ces 200€, il y a 150€ dépensés en habillement et 50 en alimentation.

1ère étape

Entrez l'opération avec le montant total (sans catégorie): un retrait de 200€.
La ligne apparaît dans le tableau.
Si elle ne l'est pas déjà, sélectionnez la ligne en cliquant dessus.

2ème étape

Modifiez maintenant la catégorie (passez-là en habillement) et le montant (entrez 150) puis validez.
BankPerfect vous demande alors si vous souhaitez ventiler l'opération sélectionnée.
Cliquez sur Oui.

L'interface passe en mode de ventilation et toute l'interface se fige à l'exception des champs catégorie et montant qui vont vous permettre de saisir les montants restants de la ventilation.
Il vous faudra alors saisir une à une les catégories et montant de chaque opération et les valider jusqu'à atteindre la somme de départ.

Dernière étape

Dans notre exemple, le champ de saisie du montant contient la valeur 50 (ce qui reste des 200 €).
Changez la catégorie en alimentation et validez.

Puisque les 200 € sont atteints, l'opération de retrait de 200€ est remplacée par les 2 nouvelles de 150 et 50 €.


Copier/coller

Sélectionnez les lignes à copier et cliquez sur le bouton Copier copy.
Placez vous dans le compte de destination et cliquez sur Coller paste.


Exporter vers un fichier HTML

Filtrez d'abord votre tableau de façon à garder les données que vous souhaitez exporter.

Allez dans le menu
Fichier > Exporter > Fichier HTML

Le fichier export.htm se crée automatiquement à la racine de votre exécutable.
BankPerfect vous propose alors d'ouvrir ce fichier directement dans votre navigateur par défaut.


Exporter vers Excel

Filtrez d'abord votre tableau de façon à garder les données que vous souhaitez exporter.

Allez dans le menu
Fichier > Exporter > Fichier Excel

BankPerfect ouvre alors Excel avec votre tableau mis en forme dans un nouveau classeur.

Remarque: si votre version d'Excel n'est pas française, le formatage des dates pourrait être incorrect.
Pour régler ce problème, il suffit de sélectionner la colonne A (qui contient les dates des opérations) et de choisir un format correct de Dates dans le menu de format de cellules (onglet nombres).


Exporter vers un fichier CSV

Filtrez d'abord votre tableau de façon à garder les données que vous souhaitez exporter.

Allez dans le menu
Fichier > Exporter > Fichier CSV

Le fichier export.csv se crée automatiquement à la racine de votre exécutable.
BankPerfect vous propose alors d'ouvrir ce fichier directement dans votre lecteur de fichiers CSV par défaut (qui est très souvent Excel).


Importer des données

Suivant le fichier que vous souhaitez importer, allez dans le menu
Fichier > Importer > Fichier QIF ou
Fichier > Importer > Fichier CSV.

Choisissez le fichier à importer et double-cliquez dessus.

Si BankPerfect reconnaît le format du fichier, les lignes sont automatiquement ajoutées au tableau.


Afficher des graphiques

Les graphiques sont calculés pour la plupart sur les lignes visibles (non filtrées) du tableau courant.

Allez dans le menu Outils > Graphiques chart.

Un graphe représentant les totaux des comptes apparaît. Vous pouvez alors jouer avec les différentes listes déroulantes afin de:
· Modifier la source des données
· Modifier le modèle de graphique
· L'afficher à plat ou en relief

Vous pouvez aussi imprimer le graphique en cliquant sur le bouton printer2.


Totaux par catégorie

C'est un rapport très pratique qui affiche année par année les totaux du compte actif ventilés par catégories.
Pour limiter les réponses à une période précise, il suffit de filtrer le tableau avant d'afficher ce rapport.

Pour afficher ce tableau, allez dans le menu Outils > Totaux par catégorie (CTRL + T) addin.


Emprunt

Cette fonction vous permet de calculer les différentes valeurs d'un emprunt.
Pour l'utiliser, Allez dans le menu Outils > Emprunt.

Remplissez tous les champs sauf celui à calculer.
Double-cliquez sur le champ à calculer.


Inverser les monnaies

Si votre compte est tenu en €, toutes les opérations doivent être entrées en €.
Les 2 boutons €/F servent à afficher les valeurs dans la monnaie principale ou secondaire. Mais il s'agit uniquement d'un affichage: les calculs sont toujours effectués dans la monnaie principale.

Si votre compte jusqu'alors tenu en Francs bascule en Euros, c'est la fonction du menu Outils > Inverser les monnaies two sided que vous devez utiliser.

Cette fonction inverse les monnaies principales et secondaires: elle convertit le montant de chaque ligne dans la monnaie secondaire et ajoute une ligne d'opération d'ajustement des arrondis.
Libre à vous de modifier le montant de cette ligne afin de l'ajuster à votre solde en banque.


Conversion de devises

BankPerfect vous permet de convertir des montants d'une monnaie vers une autre.
Pour cela, il vous suffit d'aller dans le menu Outils > Conversion de devises.

Une fenêtre apparaît alors:

conversion de devises

Pour convertir des montants entre monnaies des pays de l'euro, il suffit de choisir les monnaies dans les listes déroulantes [3] ou [4] et d'entrer un montant dans un des 2 champs [1] ou [2] disponibles.

Pour les autres monnaies, leur cours varie chaque jour. Pour récupérer le dernier cours disponible, il suffit de choisir dans la liste [5] la monnaie à télécharger puis de cliquer sur le bouton de téléchargement.


Généralités

BankPerfect vous permet de gérer votre portefeuille boursier.
Il est conseillé de créer un ou plusieurs comptes dédiés aux action et non de les mélanger avec les lignes de votre compte courant.

Il faut donc créer tout d'abord un compte que vous appellerez Portefeuille par exemple.


Entrer une opération boursière

Placez vous sur le compte Portefeuille (ou quel que soit le nom que vous lui avez donné):

Choisissez Titre dans la liste des modes de paiement.
Entrez la quantité et le nom du titre dans le champ Tiers (10 France Telecom dans l'exemple ci-dessous).
Entrez ensuite le code SICOVAM de l'action dans le champ Détails (13330 dans l'exemple ci-dessous).
Entrez enfin le prix unitaire de ce titre dans le champ montant.


Télécharger les dernières cotations

Allez dans le menu Internet > Télécharger les dernières cotations antena.

Toutes les valeurs des titres du compte actif sont automatiquement mises à jour depuis Internet.


Options

La fenêtre d'options de BankPerfect vous permet de modifier tous les paramètres propres au programme.
Les modifications que vous y effectuerez sont donc valables pour tous les fichiers .bp

Pour afficher la fenêtre d'options, allez dans le menu Outils > Options tools


Les dossiers par défaut

Le dossier de sauvegarde par défaut est le dossier dans lequel bankPerfect recherche les fichiers .bp au démarrage.
Les fichiers .bp qui s'y trouvent seront listés dans la fenêtre d'accueil au lancement du programme:

BankPerfect affiche dans cette liste ci-dessus tous les fichiers .bp
qu'il trouve dans le dossier de sauvegarde par défaut.

Le dossier de backup est le dossier dans lequel BankPerfect stocke une copie de sauvegarde (*.bak) de votre fichier à chaque fois que vous cliquez sur Enregistrer.

Si ils ne sont pas spécifiés, BankPerfect choisit par défaut dans les 2 cas le dossier d'installation du programme.


Informations du serveur FTP

Vous pouvez sauvegarder vos fichiers par FTP.
Pour cela, il suffit de remplir les champs nécessaires dans la boîte d'options, à savoir:
· l'URL (domaine ou adresse IP)
· le login
· le mot de passe
· si l'emplacement de sauvegarde n'est pas sur la racine du disque distant, il faut spécifier le chemin d'arborescence. Ex: backups/bankperfect/

Pour sauvegarder un fichier en ligne, il d'aller dans le menu Internet > Sauvegarder en ligne uploadpic.


Mises à jour

Ce programme est un exécutable autonome. Il est installé sans aucune dll et n'inscrit aucune information dans la base de registres.
Pour mettre à jour une ancienne version, il suffit d'installer la nouvelle par dessus.

La dernière version de BankPerfect est téléchargeable en cliquant ici: bp.exe.


Contact

Si vous appréciez ce logiciel et souhaitez m'aider, vous pouvez commander une version enregistrée nominative payable par chèque.

Quand vous vous enregistrez, vous recevez sous quelques jours la dernière version et un livret d'aide ainsi qu'une feuille de licence personnelle intégrant un numéro unique que vous garderez pour chaque nouvelle version.

Le montant de la licence n'est pas fixé, à vous d'estimer la valeur de ce logiciel selon vos revenus et ce qu'il vous apporte.

Vous pouvez me contacter par mail à l'adresse fabio@chelly.net ou par voie postale à l'adresse:

Fabio Chelly
28, rue de la Prévoyance
94300 Vincennes

Vous pouvez récupérer la dernière version de BankPerfect à l'adresse http://www.bankperfect.net

Pour toute demande de support, suggestion d'amélioration ou rapport de bug, vous pouvez contacter l'auteur par e-mail à l'adresse fabio@chelly.net.

BankPerfect, Copyright (c) 2000-2002 Fabio Chelly.